Module java.desktop
Package javax.swing.plaf.metal

# Class MetalComboBoxUI.MetalComboBoxLayoutManager

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `MetalComboBoxUI`

public class MetalComboBoxUI.MetalComboBoxLayoutManager extends BasicComboBoxUI.ComboBoxLayoutManager
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalComboBoxUI`.

## Constructor Summary

Constructors
Constructor
Description
`MetalComboBoxLayoutManager()`
Constructs a `MetalComboBoxLayoutManager`.

## Method Summary

Modifier and Type
Method
Description
`void`
`superLayout(Container parent)`
Lays out the parent container.

### Methods declared in class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager

`addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetalComboBoxLayoutManager

public MetalComboBoxLayoutManager()
Constructs a `MetalComboBoxLayoutManager`.

## Method Details

### superLayout

public void superLayout(Container parent)
Lays out the parent container.

Parameters:
  `parent` - a container